# Created by pyp2rpm-1.0.1
%global pypi_name Quandl
%global with_python3 1
%define version 2.8.3

Name:           python-quandl
Version:        %{version}
Release:        %mkrel 2
Group:          Development/Python
Summary:        Package for Quandl API access

License:        MIT
Source0:        https://pypi.python.org/packages/source/Q/Quandl/Quandl-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
 
%if %{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3


%description
Basic wrapper to return datasets from the Quandl website as Pandas
dataframe objects with a timeseries index, or as a numpy array. This
allows interactive manipulation of the results via IPython or storage
of the datasets using Pandas I/O functions. You will need a familarity
with [pandas](http://pandas.pydata.org/) to get the most out of this.

%if 0%{?with_python3}
%package -n     python3-quandl
Summary:        Package for Quandl API access


%description -n python3-quandl
Basic wrapper to return datasets from the Quandl website as Pandas
dataframe objects with a timeseries index, or as a numpy array. This
allows interactive manipulation of the results via IPython or storage
of the datasets using Pandas I/O functions. You will need a familarity
with [pandas](http://pandas.pydata.org/) to get the most out of this.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc 
%{python_sitelib}/Quandl
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-quandl
%doc 
%{python3_sitelib}/Quandl
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Wed Jan 07 2015 joequant <joequant> 2.8.3-2.mga5
+ Revision: 808969
- fix cap

* Wed Dec 31 2014 joequant <joequant> 2.8.3-1.mga5
+ Revision: 807630
- imported package python-quandl

